#pragma once
#ifndef __GF3UTIL_H__
#define __GF3UTIL_H__
#include "gf3calibrationandorthlib_global.h"
#include <QString>

class GF3CALIBRATIONANDORTHLIB_EXPORT GF3TargzFilenameClass {
	// GF3_KAS_FSI_020253_E110.8_N25.5_20200614_L1A_HHHV_L10004871459.tar.gz

public:
	GF3TargzFilenameClass(QString filename);
	~GF3TargzFilenameClass();

private:
	QString sateName;
	QString RevStateName;
	QString ImageMode;
	QString OribtName;
	double CenterLon;
	double CenterLat;
	QString DateName;
	QString levelName;
	QString PolarName;
	QString ProductName;

public:
	QString getSateName() const; //{ return sateName; }
	QString getRevStateName() const;// { return RevStateName; }
	QString getImageMode() const; //{ return ImageMode; }
	QString getOribtName() const; //{ return OribtName; }
	double getCenterLon() const; //{ return CenterLon; }
	double getCenterLat() const; //{ return CenterLat; }
	QString getDateName() const; //{ return DateName; }
	QString getLevelName() const; //{ return levelName; }
	QString getPolarName() const;// { return PolarName; }
	QString getProductName() const; //{ return ProductName; }

};



GF3TargzFilenameClass GF3CALIBRATIONANDORTHLIB_EXPORT getFilename(QString filename);




#endif